


TASS (1)               Commands and Applications                TASS (1)







NAME  

        tass - Visual threaded Usenet news reader for Hermes 



SYNOPSIS  

        tass [-b] [-u] [-f newsrc-file] [newsgroups]


DESCRIPTION  

        Tass is  a  full  screen  threaded  Usenet newsreader.  Tass has

        three newsreading levels:  the  newsgroup  selection  page,  the

        group index  page  and  the  article viewer.  Use the 'h' (help)

        command to view a list of the commands available at a particular 

        level.  



        On startup Tass will show a list  of  the  newsgroups  found  in

        $HOME/news.rc.   An  arrow  will  point  to the first newsgroup.

        Move the arrow by either using the terminal arrow  keys  or  'j'

        and  'k'.  Control-D  will  page  down,  control-U will page up.

        Enter a newsgroup by pressing RETURN.  



        The TAB key may be used to advance to the  next  newsgroup  with

        unread articles and enter it.  TAB from the newsgroup index page 

        will progress through unread articles.  After having read all of 

        the  new  articles in a group, TAB will then advance to the next

        newsgroup with unread articles.  



        Refer to the Tass help screens for further commands.  



TASS INDEX FILES  

        In order to keep track of threads, Tass maintains an  index  for

        each group.  If Tass is made setuid to news, the indexes will be 

        stored in the news spool directory ($NEWSDIR).  



        Entering  a  group  the  first time tends to be slow because the

        index file must be built from scratch.  Subsequent readings of a 

        group will cause Tass to incrementally update  the  index  file,

        adding  or  removing  entries as new articles come in or as news

        expires.  



        Tass may be run in update mode  (the  -u  option)  to  update  a

        series of groups at one time.  



        pTassq recognizes the following options: 



        -b  

                Turns on the TASS_BACKWARDS option (see below).  



        -f file  

                Use the indicated file in place of $HOME/news.rc.  



        -u  

                Run Tass in update mode.  Tass will make indexes current 

                for every group in its news.rc.  







Tue Jan 4 23:16:04 1994                                           Page 1







TASS (1)               Commands and Applications                TASS (1)





KEY BINDINGS  

        For those users with too much rn in their history, tass supports 

        an environment variable TASS_BACKWARDS, which if set will switch 

        the following pairs of keys: 

        		space and tab
        		n and N
        		p and P
        Invoking   tass   with   -b  has  the  same  effect  as  setting

        TASS_BACKWARDS.  



AUTHOR  

        Rich Skrenta
        skrenta@blekko.commodore.com or skrenta@blekko.uucp.
        Hermes port by Martin P. Ibert
        martini@heaven7.in-berlin.de


COPYRIGHT NOTE  

        This program is supplied with HERMES for your convenience.    It

        is not  covered by the HERMES license regulations.  Distribution

        is governed by the following copyright message from Rich: 

        /*
         *  Tass, a visual Usenet news reader
         *  (c) Copyright 1990 by Rich Skrenta
         *
         *  Distribution agreement:
         *
         *	You may freely copy or redistribute this software, so long
         *	as there is no profit made from its use, sale, trade or
         *	reproduction.  You may not change this copyright notice,
         *	and it must be included prominently in any copy made.
         */
        Its inclusion with the Hermes package is specifically authorized 

        by Rich.  



























Tue Jan 4 23:16:04 1994                                           Page 2




