


BASE64 (1)                  Hermes Programs                   BASE64 (1)







NAME  

        base64 - de- and encode for the pbase64q content transfer encoding 



SYNOPSIS  

        pbase64q  { p-dq | p-eq } [ p-arq ] [ p-oqoffset ] [ p-lqlength ] [ pinfileq [

        poutfileq ] ] 



DESCRIPTION  

        pbase64q de- or  encodes  binary  data  according  to  the  base64

        encoding described in RFC 1521.  



OPTIONS  



        -d  

                Decode.  



        -e  

                Encode.  



        -a  

                Append output to end of output file.  



        -r  

                Use  CRLF  sequences to separate lines of encoded output

                rather than just NL characters.  



        -l length  



        -o offset  

                Use only the poffsetq bytes of the output file starting at 

                position plengthq . Allows extracting base64-encoded parts 

                out of longer files.  



FILES  

        pinfileq and poutfileq . Default is stdin/out.  p-q as either   pinfileq

        or poutfileq also means stdin/out.  



BUGS  

        Combinations of options that do not make sense are, for the most 

        part, not reported to the user.  



AUTHOR  

        Martin P. Ibert.  



SEE ALSO  

        RFC 1521 



COPYRIGHT  

        pBase64q  is  part  of  the  Hermes  package and is covered by the

        Hermes shareware license agreement.  









Tue Jan 4 23:10:28 1994                                           Page 1




